[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH 4 of 5] Linux/init: check for brctl and ip at xencommons



# HG changeset patch
# User Roger Pau Monne <roger.pau@xxxxxxxxxxxxx>
# Date 1329811412 -3600
# Node ID 6c6c59861319b2be13fde935e20b62ead39905ca
# Parent  8bd684735341cd4e41aa6ea1047556a88b84f625
Linux/init: check for brctl and ip at xencommons

Check for brctl and ip at xencommons, since hotplug scripts use it.

Signed-off-by: Roger Pau Monne <roger.pau@xxxxxxxxxxxxx>

diff -r 8bd684735341 -r 6c6c59861319 tools/hotplug/Linux/init.d/xencommons
--- a/tools/hotplug/Linux/init.d/xencommons     Thu Feb 23 14:34:23 2012 +0100
+++ b/tools/hotplug/Linux/init.d/xencommons     Tue Feb 21 09:03:32 2012 +0100
@@ -50,6 +50,14 @@ if test -f /proc/xen/capabilities && \
        exit 0
 fi
 
+# List of tools needed by xen (hotplug scripts)
+REQ_TOOLS="brctl ip"
+
+for tool in $REQ_TOOLS
+do
+       hash $tool > /dev/null 2>&1 || echo "Warning: $tool not found"
+done
+
 do_start () {
         local time=0
        local timeout=30

_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxx
http://lists.xen.org/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.